Agora Java API Reference for Android

Classes | Public Types | Public Member Functions | List of all members
agora::rtc::IScreenCaptureSource Class Referenceabstract
Inheritance diagram for agora::rtc::IScreenCaptureSource:

## Classes
struct | AudioCaptureConfig
class | Control
struct | ScreenSourceListOption
struct | VideoCaptureConfig

## Public Types
enum | CaptureMode { kPull, kPush }

## Public Member Functions
virtual int | initializeCapture (const agora_refptr< Control > &control)=0
virtual int | initVideo (const VideoCaptureConfig &config)=0
virtual int | startVideoCapture (const VideoCaptureConfig &config)=0
virtual int | stopVideoCapture ()=0
virtual int | stopVideoCaptureAsync ()=0
virtual CaptureMode | getVideoCaptureMode ()=0
virtual bool | isAudioCaptureSupported ()
virtual int | startAudioCapture (const AudioCaptureConfig &config)
virtual int | stopAudioCapture ()
virtual int | setAudioVolume (uint32_t volume)
virtual int | setFrameRate (int fps)
virtual int | setScreenCaptureDimensions (const agora::rtc::VideoDimensions &dimensions)
virtual int | updateCaptureRegion (const agora::rtc::Rectangle &captureRegion)
virtual int | setExcludeWindowList (void *const *handles, int count)
virtual int | captureMouseCursor (bool capture)
virtual int | capture (agora::agora_refptr< IVideoFrame > &frame)
virtual int | getProfilingStats (ScreenCaptureProfilingStatistics &stats)
virtual int | getScreenDimensions (int &width, int &height)
virtual int | setProperty (const char *key, const char *json_value)
virtual int | setCustomContext (const char *key, const void *context)
virtual int | getProperty (const char *key, char *json_value, int &length)
virtual int | setHighLight (bool isHighLight, unsigned int color, int width)
virtual int | setContentType (int contentType)
virtual void * | getCustomContext (const char *key)
virtual void * | getScreenCaptureSources (const ScreenSourceListOption &option)
virtual void | setFrameCopy (bool frameCopy)
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0